org.eclipse.jetty.servlet.api

## Interface ServletRegistration.Dynamic

All Superinterfaces:
  Registration, Registration.Dynamic, ServletRegistration

All Known Implementing Classes:
  ServletHolder.Registration

Enclosing interface:
  ServletRegistration

    public static interface ServletRegistration.Dynamic
    extends ServletRegistration, Registration.Dynamic

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jetty.servlet.api.ServletRegistration

`ServletRegistration.Dynamic`

### Method Summary

Methods
`void` `setLoadOnStartup(int loadOnStartup)`
`void` `setRunAsRole(String roleName)`

### Methods inherited from interface org.eclipse.jetty.servlet.api.ServletRegistration

`addMapping, getMappings, getRunAsRole`

### Methods inherited from interface org.eclipse.jetty.servlet.api.Registration.Dynamic

`setAsyncSupported`

### Methods inherited from interface org.eclipse.jetty.servlet.api.Registration

`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

### Method Detail

#### setLoadOnStartup

    void setLoadOnStartup(int loadOnStartup)

#### setRunAsRole

    void setRunAsRole(String roleName)